Hi,

We recently adopted Pushwoosh as notification service for our Unity app, which worked perfectly.

A month later, we had to integrate Facebook Analytics to link our FB ads with our app and retrieve deep statistics... and there is the problem, the app can't start on Android with the following errors (all latest Pushwoosh and FB SDK versions) :

java.lang.RuntimeException: Unable to get provider com.pushwoosh.PushwooshInitProvider: java.lang.IllegalStateException: You must include the following maven repository URL in project build.gradle: 01-08 19:11:21.546 32086 32086 E AndroidRuntime: allprojects { 01-08 19:11:21.546 32086 32086 E AndroidRuntime: repositories { 01-08 19:11:21.546 32086 32086 E AndroidRuntime: jcenter () 01-08 19:11:21.546 32086 32086 E AndroidRuntime: maven { 01-08 19:11:21.546 32086 32086 E AndroidRuntime: url "https://maven.google.com" 01-08 19:11:21.546 32086 32086 E AndroidRuntime: } 01-08 19:11:21.546 32086 32086 E AndroidRuntime: } 01-08 19:11:21.546 32086 32086 E AndroidRuntime: } 01-08 19:11:21.546 32086 32086 E AndroidRuntime: Also all support libraries must be at least v26.0.1. For more info look at https://github.com/Pushwoosh/pushwoosh-android-sdk/blob/master/README.md 01-08 19:11:21.546 32086 32086 E AndroidRuntime: 01-08 19:11:21.546 32086 32086 E AndroidRuntime: at android.app.ActivityThread.installProvider(ActivityThread.java:5177) 01-08 19:11:21.546 32086 32086 E AndroidRuntime: at android.app.ActivityThread.installContentProviders(ActivityThread.java:4769) 01-08 19:11:21.546 32086 32086 E AndroidRuntime: at android.app.ActivityThread.handleBindApplication(ActivityThread.java:4709) 01-08 19:11:21.546 32086 32086 E AndroidRuntime: at android.app.ActivityThread.access$1600(ActivityThread.java:154) 01-08 19:11:21.546 32086 32086 E AndroidRuntime: at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1415) 01-08 19:11:21.546 32086 32086 E AndroidRuntime: at android.os.Handler.dispatchMessage(Handler.java:102) 01-08 19:11:21.546 32086 32086 E AndroidRuntime: at android.os.Looper.loop(Looper.java:148) 01-08 19:11:21.546 32086 32086 E AndroidRuntime: at android.app.ActivityThread.main(ActivityThread.java:5443) 01-08 19:11:21.546 32086 32086 E AndroidRuntime: at java.lang.reflect.Method.invoke(Native Method) 01-08 19:11:21.546 32086 32086 E AndroidRuntime: at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:728)

It seems like Facebook SDK uses support libraries v25.

Any help or fix to resolve would be much appreciate.

Cheers,

Winiit Team

asked 08 Jan, 18:25
Sangrene's gravatar image

Sangrene
111

Hello,

May I ask you to submit a ticket to our support system and provide us with the full log?

Regards, Ivan

permanent link
answered 17 Jan, 04:42
iskoritzky's gravatar image

iskoritzky
3778

Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×441
×438
×88

question asked: 08 Jan, 18:25

question was seen: 36 times

last updated: 17 Jan, 04:42